### Function

# Camel memchunk_free

since: 3.4

#### Declaration [src]

    void
    camel_memchunk_free (
      CamelMemChunk* memchunk,
      gpointer mem
    )

#### Description [src]

Free a single atom back to the free pool of atoms in the given memchunk.

Available since: 3.4

This function is not directly available to language bindings.

#### Parameters

`memchunk`

  Type: `CamelMemChunk`

  A `CamelMemChunk`.

  The data is owned by the caller of the function.

`mem`

  Type: `gpointer`

  Address of atom to free.

  The argument can be `NULL`.
  The data is owned by the caller of the function.